import { get, post, download } from '../http'

const reports = {
  getReportTypeList() {
    return get('reports/getReportTypeList')
  },
  getMonthList() {
    return get('reports/getMonthStrList')
  },
  getReportsPages(params) {
    return post('reports/getReportsPages', params)
  },
  downloadFile(params) {
    return download('reports/downloadReportFile', params)
  },
  generateMonthlyExcel(params) {
    return post('reports/reGenerateMonthlyExcel', params)
  }
}

export default reports